Bug 810375 - Extended scrolling needed when selecting repos for promotion
Extended scrolling needed when selecting repos for promotion
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high (vote)
: Unspecified
: --
Assigned To: Tom McKay
Corey Welton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 15:28 EDT by James Laska
Modified: 2013-09-02 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 14:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2012-04-05 15:28:28 EDT
Description of problem:

When you have a *lot* (~40) of repos synced, the promotion UI doesn't have extended search enabled ... so it's no possible to select all repos for promotion.

It works fine in the CLI, only the Web-UI is affected.

Version-Release number of selected component (if applicable):
 * katello-0.1.307-1.el6.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.4-1.el6.src.rpm
 * katello-cli-0.1.107-1.el6.src.rpm
 * katello-configure-0.1.107-1.el6.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.2-1.el6.src.rpm

Steps to Reproduce:
1. Import a manifest with a *lot* of repos (or just create a lot of custom repos)
2. Sync content
3. Attempt to promote using the web-ui
  
Actual results:

 * I'm unable to select all repositories from the web-ui.  It seems that extended search is not enabled for the repository list during a content promotion.

Expected results:

 * Ability to add/remove repos to a promotion using the web-ui, regardless of the number of repositories.

Additional info:

 * The workaround for this bug is to use the CLI, however I'm not sure if that's acceptable for GA.

 * My katello has the following repositories enabled+synced

> Red Hat CloudForms Cloud Engine Beta RPMs x86_64 6Server       474        
> Red Hat CloudForms Cloud Engine RPMs x86_64 6Server            0                      
> Red Hat CloudForms System Engine Beta RPMs x86_64 6Server      432                    
> Red Hat CloudForms System Engine RPMs x86_64 6Server           0                      
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs i386 5.7         0                      
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs i386 5.8         54                     
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs i386 5Server     54                     
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs x86_64 5.7       0                      
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs x86_64 5.8       54                     
> Red Hat CloudForms Tools for RHEL 5 Beta RPMs x86_64 5Server   54                     
> Red Hat CloudForms Tools for RHEL 5 RPMs i386 5.7              0                      
> Red Hat CloudForms Tools for RHEL 5 RPMs i386 5.8              0                      
> Red Hat CloudForms Tools for RHEL 5 RPMs i386 5Server          0                      
> Red Hat CloudForms Tools for RHEL 5 RPMs x86_64 5.7            0                      
> Red Hat CloudForms Tools for RHEL 5 RPMs x86_64 5.8            0                      
> Red Hat CloudForms Tools for RHEL 5 RPMs x86_64 5Server        0                      
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs i386 6.1         0                      
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs i386 6.2         50                     
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs i386 6Server     50                     
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs x86_64 6.1       0                      
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs x86_64 6.2       53                     
> Red Hat CloudForms Tools for RHEL 6 Beta RPMs x86_64 6Server   53                     
> Red Hat CloudForms Tools for RHEL 6 RPMs i386 6.1              0                      
> Red Hat CloudForms Tools for RHEL 6 RPMs i386 6.2              0                      
> Red Hat CloudForms Tools for RHEL 6 RPMs i386 6Server          0                      
> Red Hat CloudForms Tools for RHEL 6 RPMs x86_64 6.1            0                      
> Red Hat CloudForms Tools for RHEL 6 RPMs x86_64 6.2            0                      
> Red Hat CloudForms Tools for RHEL 6 RPMs x86_64 6Server        0                      
> Red Hat Enterprise Linux 5 Server RPMs i386 5.7                9522                   
> Red Hat Enterprise Linux 5 Server RPMs i386 5.8                10314                  
> Red Hat Enterprise Linux 5 Server RPMs i386 5Server            10298                  
> Red Hat Enterprise Linux 5 Server RPMs x86_64 5.7              12438                  
> Red Hat Enterprise Linux 5 Server RPMs x86_64 5.8              13459                  
> Red Hat Enterprise Linux 5 Server RPMs x86_64 5Server          13437                  
> Red Hat Enterprise Linux 6 Server RPMs i386 6.1                4300                   
> Red Hat Enterprise Linux 6 Server RPMs i386 6.2                5439                   
> Red Hat Enterprise Linux 6 Server RPMs i386 6Server            5434                   
> Red Hat Enterprise Linux 6 Server RPMs x86_64 6.1              5577                   
> Red Hat Enterprise Linux 6 Server RPMs x86_64 6.2              7068                   
> Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server          7061
Comment 1 Tom McKay 2012-04-09 13:58:42 EDT
commit 18e761233cf3610fa79b77424835fc1e808ca661
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Mon Apr 9 13:52:53 2012 -0400

    810375 - remove page size limit on repos displayed


RFE opened BZ#810952 for larger scale fix
Comment 3 Corey Welton 2012-04-13 11:06:46 EDT
QA Verified in brew for 0.1.309-1.el6.  I created many repos - beyond the limit of what would show up in the standard left pane -  and was able to autoscroll to my last repo. I was subsequently able to select and add said repos to a promotion.

Note You need to log in before you can comment on or make changes to this bug.